io.vertx.ext.httpservicefactory

## Enum ValidationPolicy

- java.lang.Object
- - java.lang.Enum<ValidationPolicy>
  - - io.vertx.ext.httpservicefactory.ValidationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<ValidationPolicy>

      public enum ValidationPolicy
      extends Enum<ValidationPolicy>

  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANDATORY` Any deployment must be verified to be deployed.
    `NONE` Never do any check.
    `VERIFY` Validate the deployment when a signature exists for this deployment: when the signature cannot be verified the deployment fails.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ValidationPolicy NONE

      Never do any check.

    - #### VERIFY

          public static final ValidationPolicy VERIFY

      Validate the deployment when a signature exists for this deployment: when the signature cannot be verified the deployment fails.

    - #### MANDATORY

          public static final ValidationPolicy MANDATORY

      Any deployment must be verified to be deployed.

  - ### Method Detail

    - #### values

          public static ValidationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationPolicy c : ValidationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 Eclipse. All rights reserved.